| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
ShowFoto::ShowfotoStackViewList Class Reference
Inheritance diagram for ShowFoto::ShowfotoStackViewList:

## Public Types
enum | StackViewRole { FileName = 0 , FileSize , FileType , FileDate }
enum | ThumbnailSize { SizeSmall = 32 , SizeMedium = 48 , SizeLarge = 64 , SizeHuge = 96 }

## Public Slots
void | slotIconSizeChanged (int)

## Signals
void | signalAddFavorite ()
void | signalClearItemsList ()
void | signalItemListChanged (int nbitems)
void | signalRemoveItemInfos (const QList< ShowfotoItemInfo > &infos)
void | signalShowfotoItemInfoActivated (const ShowfotoItemInfo &info)

## Public Member Functions
| ShowfotoStackViewList (ShowfotoStackViewSideBar *const view)
QUrl | currentUrl () const
ShowfotoItemInfo | infoFromIndex (const QModelIndex &index) const
void | setThumbbar (ShowfotoThumbnailBar *const thumbbar)
int | sortOrder () const
int | sortRole () const
QList< QUrl > | urls ()

## Member Enumeration Documentation

## ◆ StackViewRole

enum ShowFoto::ShowfotoStackViewList::StackViewRole

Enumerator
FileDate | Metadata date if exists, else Modifier date.